#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	Lightweight C library for RDF syntax
Summary(pl.UTF-8):	Lekka biblioteka C do składni RDF
Name:		serd
Version:	0.32.4
Release:	1
License:	ISC
Group:		Libraries
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz
# Source0-md5:	553a9b50caa23a7c57732f83e6f80658
URL:		http://drobilla.net/software/serd/
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	mandoc
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-sphinx_lv2_theme
BuildRequires:	sphinx-pdg >= 2
BuildRequires:	sphinxygen
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Serd is a lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples.

Serd is not intended to be a swiss-army knife of RDF syntax, but
rather is suited to resource limited or performance critical
applications (e.g. converting many gigabytes of NTriples to Turtle),
or situations where a simple reader/writer with minimal dependencies
is ideal (e.g. in LV2 implementations or embedded applications).

%description -l pl.UTF-8
Serd to lekka biblioteka C do obsługi składni RDF, obsługująca odczyt
i zapis formatów Turtle i NTriples.

Serd nie ma na celu obsługi wszystkich aspektów składni RDF, jest
przeznaczony raczej do zastosowań z ograniczonymi zasobami lub
krytycznych pod względem wydajności (np. konwersji wielu gigabajtów z
formatu NTriples do Turtle), albo w sytuacjach, gdzie ideałem jest
prosty program czytający/zapisujący o minimalnych zależnościach (np. w
implementacjach LV2 lub środowiskach wbudowanych).

%package devel
Summary:	Header files for serd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki serd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for serd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki serd.

%package apidocs
Summary:	API documentation for serd library
Summary(pl.UTF-8):	Dokumentacja API biblioteki serd
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for serd library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki serd.

%prep
%setup -q

%build
%meson \
	--default-library=shared \
	%{!?with_apidocs:-Ddocs=disabled} \
	-Dman_html=disabled \
	-Dsinglehtml=disabled

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.md
%attr(755,root,root) %{_bindir}/serdi
%attr(755,root,root) %{_libdir}/libserd-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libserd-0.so.0
%{_mandir}/man1/serdi.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libserd-0.so
%{_includedir}/serd-0
%{_pkgconfigdir}/serd-0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%dir %{_docdir}/serd-0
%{_docdir}/serd-0/html
%endif
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/serd.git;a=log;h=master

* Wed Mar 19 2025 Jakub Bogusz <qboosh@pld-linux.org> 282f5ad
- man has its own option now

* Tue Mar 18 2025 Jakub Bogusz <qboosh@pld-linux.org> 6775567
- updated to 0.32.4, build apidocs

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 85725dd
- updated to 0.32.2

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 48b4f20
- updated to 0.30.16

* Wed Aug 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 90de5cf
- updated to 0.30.14; now uses meson

* Sun Apr 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 3e8809f
- updated to 0.30.10

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> b0fc1d7
- updated to 0.30.8

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 15d707c
- updated to 0.30.4

* Fri Mar 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 5e92ead
- updated to 0.30.2

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 5fa7361
- updated to 0.30.0

* Tue Dec 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 2f2d4f7
- updated to 0.28.0

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 9f996e3
- updated to 0.24.0

* Tue Oct 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 83dac9b
- updated to 0.22.0

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> bb928fc
- updated to 0.20.0

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 9dbfdbb
- updated to 0.18.2

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 88f5f48
- updated to 0.18.0

* Fri Jun 15 2012 Jakub Bogusz <qboosh@pld-linux.org> faf9dc5
- new

